name: bulbasaur
id: 1
species: seed
habitat: grassland
body style: quadruped
dex color: green
dex numbers:
    kanto: 1
    johto: 226
    hoenn: 203
    fiore: r-001
    oblivia: r-014
    oblivia past: n-004

catch rate: 45 #capture rate
base experience: 64
growth curve: hard
max experience at lv100: 1059860
base happiness: 70

height: 0.7m
weight: 6.9kg

types:
    - grass
    - poison

abilities: overgrow
hidden abilities: chlorophyll

gender:
    genders: [male, female]
    ratio:
        males: 7
        females: 1

egg:
    groups:
        - monster
        - plant #or is it called "grass"?
    cycles: 21
    steps: 5355
    
evolutions:
    level 16: ivysaur

entries:
    yellow: "It can go for days without a single morsel. In the bulb on its back, it stores energy."
    stadium1: "The bulb-like pouch on its back grows larger as it ages. The pouch is filled with numerous seeds."
    crystal: "While it is young, it uses the nutrients that are stored in the seeds on its back in order to grow."
    firered: "There is a plant seed on its back right from the day this Pokémon is born. The seed slowly grows large."
    ranger: "Bulbasaur extends its vines to attack and prevent capture."
    rangerguardian: "It attacks by shooting seeds."
    pokepark: "Bulbasaur is the Attraction Chief of Bulbasaur's Daring Dash in the Meadow Zone. So, even though it is forbidden, he may allow you to play on it."
    
    red: &red
        "A strange seed was planted on its back at birth. The plant sprouts and grows with this POKéMON."
    blue: *red
    leafgreen: *red
    
    gold: &gold
        "The seed on its back is filled with nutrients. The seed grows steadily larger as its body grows."
    heartgold: *gold
    stadium2: *gold
    
    silver: &silver
        "It carries a seed on its back right from birth. As it grows older, the seed also grows larger."
    soulsilver: *silver
    
    ruby: &ruby
        "Bulbasaur can be seen napping in bright sunlight. There is a seed on its back. By soaking up the sun's rays, the seed grows progressively larger."
    sapphire: *ruby
    emerald: *ruby
    
    diamond: &diamond
        "For some time after its birth, it grows by gaining nourishment from the seed on its back."
    perl: *diamond
    platinum: *diamond
    black: *diamond
    white: *diamond

base stats:
    hp: 45
    attack: 49
    defense: 49
    speed: 45
    special attack: 65
    special defense: 65

min max stats: #at level=100
    hp: 263..293
    attack: 166..196
    defense: 166..196
    speed: 158..188
    special attack: 198..228
    special defense: 198..228

athlon stats:
    speed: 2/3
    power: 2/3
    skill: 3/4
    stamina: 3/4
    jump: 3/3
    total: 13/17

default attacks:
    - tackle
    - growl

natural attacks:
    red: &red_attacks
        1: [tackle, growl]
        7: leech seed
        13: vine whip
        20: poison powder
        27: razor leaf
        34: growth
        41: sleep powder
        48: solar beam
    blue: *red_attacks
    yellow: *red_attacks

    gold: &gold_attacks
        1: tackle
        4: growl
        7: leech seed
        10: vine whip
        15: [poisonpowder, sleep powder]
        20: razor leaf
        25: sweet scent
        32: growth
        39: synthesis
        46: solarbeam
    silver: *gold_attacks
    crystal: *gold_attacks
    ruby: *gold_attacks
    sapphire: *gold_attacks
    emerald: *gold_attacks
    firered: *gold_attacks
    leafgreen: *gold_attacks
    
    diamond: &diamond_attacks
        1: tackle
        3: growl
        7: leech seed
        9: vine whip
        13: [poisonpowder, sleep powder]
        15: take down
        19: razor leaf
        21: sweet scent
        25: growth
        27: double-edge
        31: worry seed
        33: synthesis
        37: seed bomb
    pearl: *diamond_attacks
    platinum: *diamond_attacks
    heartgold: *diamond_attacks
    soulsilver: *diamond_attacks
    black: *diamond_attacks
    white: *diamond_attacks

attack compatibility:
    red: &red_tmhms
        - swords dance
        - toxic
        - body slam
        - take down
        - double-edge
        - rage
        - mega drain
        - solarbeam
        - mimic
        - double team
        - reflect
        - bide
        - rest
        - substitute
        - cut
    blue: *red_tmhms
    yellow: *red_tmhms

    gold: &gold_tmhms
        - headbutt
        - curse
        - toxic
        - hidden power
        - sunny day
        - sweet scent
        - snore
        - protect
        - giga drain
        - endure
        - frustration
        - solarbeam
        - return
        - mud-slap
        - double team
        - swagger
        - sleep talk
        - defense curl
        - rest
        - attract
        - fury cutter
        - cut
        - flash
    silver: *gold_tmhms
    crystal: *gold_tmhms

    ruby: &ruby_tmhms
        - toxic
        - bullet seed
        - hidden power
        - sunny day
        - protect
        - giga drain
        - frustration
        - solarbeam
        - return
        - double team
        - sludge bomb
        - facade
        - secret power
        - rest
        - attract
        - cut
        - strength
        - flash
        - rock smash
    sapphire: *ruby_tmhms
    emerald: *ruby_tmhms
    firered: *ruby_tmhms
    leafgreen: *ruby_tmhms

    diamond: &diamond_tmhms
        - toxic
        - bullet seed
        - hidden power
        - sunny day
        - protect
        - giga drain
        - frustration
        - solarbeam
        - return
        - double team
        - sludge bomb
        - facade
        - secret power
        - rest
        - attract
        - energy ball
        - endure
        - flash
        - swords dance
        - captivate
        - sleep talk
        - natural gift
        - grass knot
        - swagger
        - substitute
        - cut
        - strength
        - rock smash
    pearl: *diamond_tmhms
    platinum: *diamond_tmhms
    heartgold: *diamond_tmhms
    soulsilver: *diamond_tmhms

    black: &black_tmhms
        - toxic
        - venoshock
        - hidden power
        - sunny day
        - light screen
        - protect
        - safeguard
        - frustration
        - solarbeam
        - return
        - double team
        - sludge bomb
        - facade
        - rest
        - attract
        - round
        - echoed voice
        - energy ball
        - flash
        - swords dance
        - grass knot
        - swagger
        - substitute
        - rock smash
        - cut
        - strength
    white: *black_tmhms

tutored attacks:
    - grass pledge
special attacks:
    - whirlwind #from the anime episode "The Ninja Poké-Showdow"

breeding attacks:
    gold: &gold_egg_moves
        - light screen
        - petal dance
        - razor wind
        - safeguard
        - skull bash
    silver: *gold_egg_moves
    crystal: *gold_egg_moves

    ruby: &ruby_egg_moves
        - charm
        - curse
        - grasswhistle
        - light screen
        - magical leaf
        - petal dance
        - safeguard
        - skull bash
    sapphire: *ruby_egg_moves
    emerald: *ruby_egg_moves
    firered: *ruby_egg_moves
    leafgreen: *ruby_egg_moves

    diamond: &diamond_egg_moves
        - amensia
        - charm
        - curse
        - grasswhistle
        - ingrain
        - leaf storm
        - light screen
        - magical leaf
        - nature power
        - petal dance
        - safeguard
        - skull bash
    pearl: *diamond_egg_moves
    platinum: *diamond_egg_moves
    
    heartgold: &heartgold_egg_moves
        - amensia
        - charm
        - curse
        - grasswhistle
        - ingrain
        - leaf storm
        - light screen
        - magical leaf
        - nature power
        - petal dance
        - safeguard
        - skull bash

        #same as diamond_egg_moves but with two additions
        - power whip
        - sludge
    soulsilver: *heartgold_egg_moves

    #black_egg_moves is pretty close to heartgold_egg_moves
    #but w/ giga drain, w/ endure, w/o safeguard
    black: &black_egg_moves
        - amensia
        - charm
        - curse
        - endure
        - giga drain
        - grasswhistle
        - ingrain
        - leaf storm
        - magical leaf
        - nature power
        - petal dance
        - skull bash
        - power whip
        - sludge
    white: *black_egg_moves

tcg attacks:
    mcdonald1: scratch
    pop2: bite
    dptp: present
